﻿Imports System.Drawing
Imports System.Drawing.Drawing2D

Public Class AkkuStatus

#Region "Deklaration"

    Private _Value As Integer
    Public Property Value As Integer
        Get
            Return _Value
        End Get
        Set(value As Integer)
            _Value = value
            RectAkku = New Rectangle(2, 2 + (Height - 4) / 100 * (100 - value), Width - 4, ((Height - 4) / 100) * value)
            Invalidate()
        End Set
    End Property

    Private RectAkku As New Rectangle

#End Region

#Region "Initialisierung"

    Public Sub New()
        SetStyle(System.Windows.Forms.ControlStyles.UserPaint, True)
        SetStyle(System.Windows.Forms.ControlStyles.OptimizedDoubleBuffer, True)
        SetStyle(System.Windows.Forms.ControlStyles.SupportsTransparentBackColor, True)
        SetStyle(System.Windows.Forms.ControlStyles.ResizeRedraw, True)
        InitializeComponent()
    End Sub



#End Region

#Region "Layout & Design"

    Private Sub AkkuStatus_Paint(sender As Object, e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
        e.Graphics.SmoothingMode = SmoothingMode.HighSpeed

        e.Graphics.FillRectangle(New SolidBrush(Color.Silver), New Rectangle(Me.Location, Me.Size))
        e.Graphics.FillRectangle(New SolidBrush(Color.Green), RectAkku)
    End Sub

    Private Sub AkkuStatus_Resize(sender As Object, e As EventArgs) Handles Me.Resize
        RectAkku = New Rectangle(2, 2 + (Height - 4) / 100 * (100 - Value), Width - 4, ((Height - 4) / 100) * Value)
    End Sub

#End Region

#Region "Eventhandling"

#End Region

#Region "Methoden & Funktionen"

#End Region

End Class
